nn.pp.rccore

## Enum ITerminalBlockConfig.Action

- java.lang.Object
- - java.lang.Enum<ITerminalBlockConfig.Action>
  - - nn.pp.rccore.ITerminalBlockConfig.Action

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ITerminalBlockConfig.Action>
  Enclosing interface:
    ITerminalBlockConfig

      public static enum ITerminalBlockConfig.Action
      extends java.lang.Enum<ITerminalBlockConfig.Action>

  The state or action of the Terminal Block

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BLINK` The Terminal Block is in blinking state
    `KVM_STATUS` The Terminal Block status is bound to the status of the KVM connection and cannot be controlled by the user.
    `OFF` The Terminal Block is in off state
    `ON` The Terminal Block is in on state
    `PULSE` The Terminal Block is in pulse state.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ITerminalBlockConfig.Action` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ITerminalBlockConfig.Action[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ON

          public static final ITerminalBlockConfig.Action ON

      The Terminal Block is in on state

    - #### OFF

          public static final ITerminalBlockConfig.Action OFF

      The Terminal Block is in off state

    - #### BLINK

          public static final ITerminalBlockConfig.Action BLINK

      The Terminal Block is in blinking state

    - #### PULSE

          public static final ITerminalBlockConfig.Action PULSE

      The Terminal Block is in pulse state. This is used for setting the state, it can never be read as the current state. Pulse means it is turned off and on again after a given interval.

    - #### KVM_STATUS

          public static final ITerminalBlockConfig.Action KVM_STATUS

      The Terminal Block status is bound to the status of the KVM connection and cannot be controlled by the user.

  - ### Method Detail

    - #### values

          public static ITerminalBlockConfig.Action[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ITerminalBlockConfig.Action c : ITerminalBlockConfig.Action.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ITerminalBlockConfig.Action valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2025 Raritan Inc. All Rights Reserved.